<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hssx.pcbms.mapper.IdeaCommentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hssx.pcbms.entity.IdeaComment">
        <id column="id" property="id" />
        <result column="idea_id" property="ideaId" />
        <result column="content" property="content" />
        <result column="responder_id" property="responderId" />
        <result column="responder" property="responder" />
        <result column="indate" property="indate" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, idea_id, content, responder_id, responder, indate
    </sql>

</mapper>
